Summary: A remote mail retrieval and forwarding utility.
Name: fetchmail
Version: 5.3.1
Release: 1
Requires: smtpdaemon
Source: http://www.tuxedo.org/~esr/fetchmail/fetchmail-%{version}.tar.gz
URL: http://www.tuxedo.org/~esr/fetchmail/
Copyright: freely redistributable
Group: Applications/Internet
Patch0: fetchmail-5.2.5-krb5fixes.patch
Buildroot: %{_tmppath}/%{name}-root
%define gssapi %(test -r /usr/kerberos/lib/libkrb5.a && echo 1 || echo 0)
%if %gssapi
Requires: krb5-libs krb5-configs
%endif

%package -n fetchmailconf
Summary: A GUI utility for configuring your fetchmail preferences.
Group: Applications/Internet
Requires: python, tk, fetchmail = %{version}

%description
Fetchmail is a remote mail retrieval and forwarding utility intended
for use over on-demand TCP/IP links, like SLIP or PPP connections.
Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN) for
retrieval.  Then Fetchmail forwards the mail through SMTP, so you can
read it through your favorite mail client.

Install fetchmail if you need to retrieve mail over SLIP or PPP
connections.

%description -n fetchmailconf
Fetchmailconf is a Tcl/Tk GUI application which edits your
.fetchmailrc file, in order to configure the fetchmail mail retrieval
program. Fetchmail's numerous options may be confusing to new users,
but fetchmailconf may help to clear up the confusion.

Install fetchmailconf if you need help configuring fetchmail. You'll
need to have python and tk installed in order to use fetchmailconf.

%prep
%setup -q
%if %gssapi
%patch -p1 -b .krb5fixes
%endif

%build
autoconf
%configure --prefix=/usr --enable-pop3 --enable-imap \
	--enable-etrn --enable-ntlm \
%if %gssapi
	--with-kerberos --with-kerberos5=/usr/kerberos \
	--with-gssapi=/usr/kerberos
%endif

make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
rm -f $RPM_BUILD_ROOT/usr/man/man1/fetchmailconf.1
ln -sf fetchmail.1.gz $RPM_BUILD_ROOT/usr/man/man1/fetchmailconf.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FEATURES README NEWS NOTES *.html FAQ COPYING INSTALL sample.rcfile
/usr/bin/fetchmail
/usr/man/man1/fetchmail.1*

%files -n fetchmailconf
%defattr(-,root,root)
/usr/bin/fetchmailconf
/usr/man/man1/fetchmailconf.1*

%changelog
* Mon Mar  6 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 5.3.1 - This fixes Bugs #9982 and #9987

* Wed Mar  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- make kerberos support conditional at build-time

* Wed Mar  1 2000 Bill Nottingham <notting@redhat.com>
- integrate kerberos support into main tree

* Fri Feb 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- Add Kerberos and GSS authenticator support

* Fri Feb 25 2000 Cristian Gafton <gafton@redhat.com>
- version 5.3.0 has a correct version of the rfc822 patch

* Fri Feb 25 2000 Jeff Johnson <jbj@redhat.com>
- fix length of rfc822 headers in strcncasecmp().

* Tue Feb 15 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 5.2.8 (fixes the POP3-UIDL bug)
- Fix up the fetchmailconf man page symlink

* Fri Feb 11 2000 Cristian Gafton <gafton@redhat.com>
- version 5.2.7
- add patch so that fetchmailconf will not output ssl configure statements
  is no ssl is configured

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix deps
- man pages are compressed
- enable %clean

* Tue Jan 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.2.3
- fetchmailconf requires fetchmail = %{version}
- fix compilation

* Mon Dec 27 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.2.2

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- got 5.1.0, fixes potential buffer overflow...

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 5.0.4.

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- 5.0.0

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- subpackage for fetchmailconf

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- version 4.7.0
- build against glibc 2.1

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- correct typo in dangling symlink fix.

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- update to 4.5.8

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.5.3.

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- fixed spelung eror in the decsriptoin

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- new version 4.4.4 fixes a lot of bugs

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 4.4.1
- buildroot

* Thu Oct 23 1997 Michael Fulbright <msf@redhat.com>
- Updated to 4.3.2 using SRPM from Eric Raymond

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
